CLI
# Requires: npm i -g @infinite_dev/cli && export INFINITE_API_KEY=sk_sandbox_...
# Escape hatch for any endpoint: infinite api <METHOD> <path>
infinite api GET /v1/customers/cus_abc123/unmatched-deposits \
--query includeResolved=trueList unmatched deposits (cus_abc123, includeResolved true).import requests
url = "https://sandbox.api.infinite.dev/v1/customers/{id}/unmatched-deposits"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.api.infinite.dev/v1/customers/{id}/unmatched-deposits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://sandbox.api.infinite.dev/v1/customers/{id}/unmatched-deposits",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://sandbox.api.infinite.dev/v1/customers/{id}/unmatched-deposits"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://sandbox.api.infinite.dev/v1/customers/{id}/unmatched-deposits")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://sandbox.api.infinite.dev/v1/customers/{id}/unmatched-deposits")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"deposits": [
{
"id": "udep_abc123",
"txHash": "<string>",
"chain": "ETHEREUM",
"currency": "USDC",
"amount": "50000000000",
"allocatedAmount": "20000000000",
"fromAddress": "<string>",
"walletAddress": "<string>",
"provider": "INFINITE",
"status": "PENDING",
"createdAt": "2023-11-07T05:31:56Z",
"providerEventId": "<string>",
"providerResourceId": "<string>"
}
],
"totals": [
{
"chain": "base",
"currency": "USDC",
"amount": "5000000"
}
],
"count": 123
}Customers
List unmatched deposits
Returns pending deposits that could not be automatically matched to a transfer. These deposits are typically due to: wrong amount sent, multiple partial payments, or deposits to a wallet with no pending transfer. Treasury and transaction wallet deposits are excluded. Contact support to reconcile these deposits with a transfer, or sweep them to a treasury wallet.
GET
/
v1
/
customers
/
{id}
/
unmatched-deposits
CLI
# Requires: npm i -g @infinite_dev/cli && export INFINITE_API_KEY=sk_sandbox_...
# Escape hatch for any endpoint: infinite api <METHOD> <path>
infinite api GET /v1/customers/cus_abc123/unmatched-deposits \
--query includeResolved=trueList unmatched deposits (cus_abc123, includeResolved true).import requests
url = "https://sandbox.api.infinite.dev/v1/customers/{id}/unmatched-deposits"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.api.infinite.dev/v1/customers/{id}/unmatched-deposits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://sandbox.api.infinite.dev/v1/customers/{id}/unmatched-deposits",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://sandbox.api.infinite.dev/v1/customers/{id}/unmatched-deposits"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://sandbox.api.infinite.dev/v1/customers/{id}/unmatched-deposits")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://sandbox.api.infinite.dev/v1/customers/{id}/unmatched-deposits")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"deposits": [
{
"id": "udep_abc123",
"txHash": "<string>",
"chain": "ETHEREUM",
"currency": "USDC",
"amount": "50000000000",
"allocatedAmount": "20000000000",
"fromAddress": "<string>",
"walletAddress": "<string>",
"provider": "INFINITE",
"status": "PENDING",
"createdAt": "2023-11-07T05:31:56Z",
"providerEventId": "<string>",
"providerResourceId": "<string>"
}
],
"totals": [
{
"chain": "base",
"currency": "USDC",
"amount": "5000000"
}
],
"count": 123
}Authorizations
API Key in Bearer format (e.g., Bearer sk_test_...)
Headers
API key
Path Parameters
Customer ID
Query Parameters
Include reconciled and swept deposits (default: false)
Was this page helpful?